/*
Theme Name: Twenty Twenty-Three Child
Template: twentytwentythree
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/
/* Šriftai */
h1, h2, h3, h4, h5, h6 {font-family: 'Titillium Web', var(--wp--preset--font-family--system-font);font-weight: normal; font-style: normal;color:#222222;}
h1 {font-size:1.8rem;}h2 {font-size:1.6rem;}h3 {font-size:1.4rem;}h4 {font-size:1.2rem;}

.langmeninactive {display:none;}

/* Paieškos rezultatų puslapis (SERP) */
.search.search-results main p {font-size: 1.05rem;line-height: 1.6rem;color: #333333;}
.search.search-results main li {border: 1px solid #E9E1D6;padding-left:1rem;padding-right:1rem;padding-top:1rem;padding-bottom:1.2rem;}
.search.search-results .wp-block-post-title {font-size: 1.3rem;line-height: 1.5rem;color: #333333;}
.search.search-results #wp--skip-link--target > h1 {margin-bottom:1.5rem !Important;font-size: 1.6rem;color: #1368b0;}

/* Blokai apskritai bendra */
#wp--skip-link--target {margin-top:1.4em !important;}
.entry-content.wp-block-post-content {min-height:280px;}
.entry-content > .wp-block-group {margin-block-start: 3rem;}

/* Mygtukai*/
a.wp-block-button__link.wp-element-button {border: 1px solid #1368b0;background-color: #1368b0;color: #FFFFFF;border-radius: 3px;padding-top: 8px;padding-right: 20px;padding-bottom: 8px;padding-left: 20px;font-size: 1.1rem;}
a.wp-block-button__link.wp-element-button:link, a.wp-block-button__link.wp-element-button:visited, a.wp-block-button__link.wp-element-button:hover, a.wp-block-button__link.wp-element-button:active {background-color: #1368b0;color: #FFFFFF;}

/* Linkai*/
h1 a, h2 a, h3 a, h4 a {text-decoration: none;color:#333333}
.entry-content.wp-block-post-content h1 a, .entry-content.wp-block-post-content h2 a, .entry-content.wp-block-post-content h3 a, .entry-content.wp-block-post-content h4 a {text-decoration: none;color:#333333}
.entry-content.wp-block-post-content .bannercard h2 a {font-size: 1.5rem;line-height: 1.6rem;color: #FFFFFF;}

/* Papildymai 2025 */
/* End of life */
.archive.category.category-end-of-life-products main > h1 {color:#dd0303;}

/* tech support */
.entry-content .tech-support-link {margin-bottom: 1em;
    padding: 0.8em 1.2em;
    background-color: #f0f6fc;
    border: 1px solid #c8daee;
    border-radius: 4px;}

/* ------------------ Produkto meniu juosta */
.wp-block-group.produkto-menu {gap:1rem;justify-content: flex-end;margin-top:0rem;}
.wp-block-group.produkto-menu {gap:6px;}

/* Single Produkto downloads meniu */
.wp-block-group.produkto-downloads-meniu {display:flex;flex-direction: row;flex-wrap: wrap;gap:6px;}
.produkto-downloads-meniu .produkto-sekcijos-meniu-item a, .produkto-downloads-meniu .produkto-sekcijos-meniu-item a:hover, .produkto-downloads-meniu .produkto-sekcijos-meniu-item a:active, .produkto-downloads-meniu .produkto-sekcijos-meniu-item a:visited {color: #777777;text-decoration: none;border: 1px solid #777777;}
.produkto-sekcijos-meniu-item {margin-block-start: 1.5rem;}

/* ----------------------- Single Produkto sekcijų meniu */
.wp-block-group.produkto-sekcijos-meniu {padding:0px;display:flex;gap:6px;}
.produkto-sekcijos-meniu-item {display: inline-block;margin-top:0px;height:36px;}
.produkto-sekcijos-meniu-item a, .produkto-sekcijos-meniu-item a:hover, .produkto-sekcijos-meniu-item a:active, .produkto-sekcijos-meniu-item a:visited {color: #1368b0;text-decoration: none;border: 1px solid #1368b0;}

/* Bendra */
.produkto-sekcijos-meniu-item a, .produkto-sekcijos-meniu-item a {padding-left: 18px;padding-right: 18px;padding-top: 0px;padding-bottom: 0px;font-size: 1rem;background-color: #FFFFFF;border-radius: 2px;line-height: 36px;height:36px;display:inline-block;box-sizing: border-box;}

/* Single Produktas, Title */
.wp-block-post-title {margin-bottom:0px;}
.single h1.wp-block-post-title {margin-bottom:0px !Important;font-size:1.8rem;line-height:2.2rem;color:#333333;}

/*Pirmo stulpelio turinys*/
.single-header-content .wp-block-column.single-title {display: flex;flex-direction: column;justify-content:space-between;}

/* skyriu navigacija */
/* .single-produkt-navigacija {display: flex;flex-direction: row;flex-wrap:wrap;margin-top:auto;} */

/* ------------------------------- Produkto sekscijų meniu Responsive */
@media (max-width: 800px) {
.wp-block-group.produkto-menu {display: flex;flex-direction: column;align-items: flex-start;gap: 5px;margin-top:auto;}
.single-header-content .wp-block-column.single-title {justify-content: flex-start;}
}

.single-header-content {gap:1rem;}


/* ---------------------- Single Produktas, Stulpeliai */
.single .entry-content .wp-block-columns {display:flex;gap:0rem;}
.single .entry-content .wp-block-columns .wp-block-column {flex-basis: 50%; display: flex;justify-content: center;flex-direction: column;}
.single.category-news .wp-block-column.single-title {flex-basis: 100% !Important;}
.single .entry-content .vbstulpeliaitext {background: linear-gradient(to bottom, #FBFBFB, #F5F5F5);min-height:370px;padding-top:3rem;padding-bottom:3rem;padding-left:3rem;padding-right:3rem;box-sizing: border-box;}

/* responsive turinys */
@media (max-width: 800px) {
.single .entry-content .vbstulpeliaitext {padding-left:1.5rem;padding-right:1.5rem;box-sizing: border-box;}
}

.single .entry-content .wp-block-columns .wp-block-column p:first-child {margin-top: 3rem;}
.single .entry-content .wp-block-columns .wp-block-column p:last-child {margin-bottom: 3rem;}
.single .entry-content .wp-block-columns .wp-block-column figure {margin-left:auto;margin-right:auto;display: table;text-align: center;clear: both;padding:1.5rem;}
.single .entry-content .wp-block-group figure {display: table;text-align: center;clear: both;padding-top:2rem;padding-bottom:2rem;}
/* Single Produktas, Media & Text */
.single .entry-content .wp-block-media-text.is-stacked-on-mobile figure img {object-fit: cover;height: 100%;width: 100%;align-self: auto;}
.single .entry-content .wp-block-media-text.is-stacked-on-mobile figure {align-self: auto;display: block;padding-top:0rem;padding-bottom:0rem;}
.single .entry-content .wp-block-media-text {background: linear-gradient(to bottom, #FBFBFB, #F5F5F5);}
.single .entry-content .wp-block-media-text__content {padding-top:3rem;padding-bottom:3rem;}
.single .entry-content #color.wp-block-media-text {background-color:#1368b0;color:#FEFEFE;}
.single .entry-content #color h1.wp-block-heading, .single .entry-content #color h2.wp-block-heading, .single .entry-content #color h3.wp-block-heading {color:#FEFEFE;}

/* Single Produktas, Stulpeliai secondary */
.single .entry-content .wp-block-columns.block-columns-secondary .wp-block-column figure {padding:0.5rem;}

/* Single Produktas, Variacijos */
.single .entry-content .amblockcontent figure {display: block;text-align: left;clear: both;padding-top: 0rem;padding-bottom: 0rem;}
.single .entry-content > p {margin-block-start: 2rem;margin-block-end: 2rem;}
.single .entry-content > h1, .single .entry-content > h2, .single .entry-content > h3, .single .entry-content > h4,.single .entry-content > h5 {margin-top:3.5rem;}

/* Naujas privalumai visur */
.entry-content.wp-block-post-content ul {list-style-type: none;} 
.entry-content.wp-block-post-content ul > li::before {content: "";display: inline-block;width: 20px;height: 20px;margin-right: 20px;background-image: url('https://eldesalarms.com/wp-content/uploads/2023/11/check-mark-primary.svg'); background-size: cover;vertical-align: middle;position: relative;top: -2px;}
.entry-content.wp-block-post-content ul > li {font-size:1.04rem;line-height:1.7rem;color:#333333;text-indent: -40px;margin-left: 40px;margin-bottom:0.5rem;}
.entry-content.wp-block-post-content ul {padding-left:0rem;padding-right:0rem;}
/* Išnumeravimas visur */
.entry-content.wp-block-post-content ol li > ul {margin-top: 1.5rem;}
.entry-content.wp-block-post-content ol li {font-size:1.04rem;line-height:1.7rem;color:#333333;}

/* -------------------------------------------------- */
.entry-content.wp-block-post-content .wp-block-heading + .wp-block-group {margin-top: 1.5rem;}

.single .entry-content span.wp-block-cover__background {opacity: 0;background-color: transparent;}

/* p */
.single .entry-content p + .wp-block-media-text {margin-top: 4rem;}
.page-template-default.page .entry-content p a {color:#1368b0;}

/* Skirtukai */
.wp-block-separator, .wp-block-separator.is-style-dots {border-top: 1px solid #E9E1D6;line-height: 0;margin-top:32px;margin-bottom:42px;}
.wp-block-separator.is-style-dots:before {content: "";}
.wp-block-separator {border: 0px solid;border-top: 1px solid #E9E1D6;}
.wp-block-separator:not(.is-style-wide):not(.is-style-dots):not(.alignwide):not(.alignfull) {width: 100%;}

/* figure */
.entry-content > figure > img {max-height: 500px;width:auto;}
.single .entry-content figure {display: table;text-align: center;clear: both;}
.single .entry-content > figure + h1, .single .entry-content > figure + h2, .single .entry-content > figure + h3 {margin-top: 2.5rem;}
.single .entry-content > figure {border-bottom: 1px solid #DADADA;max-width: 1200px;width: 100%;}
.single .entry-content #prival-blokas {column-count: 2;column-gap: 40px;width: 1200px;overflow: auto;}
.single .entry-content #tekstas {column-count: 2;column-gap: 40px;width: 1200px;overflow: auto;}

/* Blokų antraštės */
.entry-content > .wp-block-group > h2 {font-size: 1.7rem;color: #444444;}

/* Bendri kortelių išvedimų nustatymai */
.solutioncard-meta {background: linear-gradient(to bottom, #FBFBFB, #F5F5F5);}
.solutioncard p {font-size: 1.08rem;line-height: 1.6rem;color: #333333;}
.more-icon.primary {width:38px;height:38px;object-fit: unset;aspect-ratio: auto;}
a.more-link-all {color: #1368b0;text-decoration: none;border: 1px solid #1368b0;padding-left: 20px;padding-right: 20px;padding-top: 0px;padding-bottom: 0px;font-size: 1rem;background-color: #FFFFFF;border-radius: 2px;line-height: 36px;height: 36px;display: inline-block;box-sizing: border-box;display:inline-block;margin-top:15px;}

@media (max-width: 880px) {
.solutionsloop, .bannerloop, .newsloopblock {grid-template-columns: 1fr;}
.bannercard {display: flex;gap: 1.5rem;}
.wp-block-group.bannerwrapper.alignfull {padding-top: 1.5rem;}
.wp-block-group.bannerwrapper.alignfull .bannerloop > h2  {margin-bottom:1rem;}
.wp-block-group.newswrapper.alignfull .newsloopblock > h2  {margin-bottom:1rem;}
}

/* Home Hero */
.wp-block-cover__inner-container {max-width:1200px;}
.home-hero-cover .wp-block-group {width:40%;max-width:100%;}
.home-hero-cover h2.wp-block-heading {font-size: 2.7rem;line-height: 2.9rem;font-weight: 400;color: #454545;text-shadow: 1px 1px 8px #ffffff;letter-spacing: -0.2px;}
.wp-block-cover.home-hero-cover p {margin-top: 10px;font-size: 1.1rem;color: #333333;}

/* Šablonas Kur įsigyti - Country */
.countrycontainer {margin-bottom: 80px;padding-bottom: 1.5rem;border-right: 0px solid #E9E1D6;border-left: 0px solid #E9E1D6;}
.countrycontainer p {font-size: 1rem;line-height:1.3rem;color: #333333;margin-block-start: 0.5rem;}
.countrycontainer a {color:#1368b0;}
.countrycontainer h3 {font-size: 1.1rem;line-height: 1.4rem;color: #333333;}
.countrycontainer h2 {font-size: 1.4rem;line-height: 1.6rem;color: #333333;}
.country-contacts-select #post-title > h2 {margin-block-end:0.5rem;margin-block-start:0.5rem;}
.countrycontainer .wp-block-column:not(:last-child) {border-right: 1px solid #E3E1D9;}

@media (max-width: 880px) {
.home-hero-cover .wp-block-group {width:80%;}
.countrycontainer .wp-block-column:not(:last-child) {border-right: 0px solid #E3E1D9;border-bottom: 1px solid #E3E1D9;padding-bottom:1.5rem;}
}

/* ------------------------------------------- Back to top*/
#backToTopBtn {background-color: #1368b0;display: none;position: fixed;bottom: 85px;right: 30px;z-index: 99;border: none;outline: none;color: white;
    cursor: pointer;padding: 20px;border-radius: 2px;background-image: url("data:image/svg+xml,%3Csvg focusable='false' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='%23ffffff' d='M16.59 15.41L12 10.83 7.41 15.41 6 14l6-6 6 6z'%3E%3C/path%3E%3C/svg%3E");background-size: 70%;
    background-repeat: no-repeat;background-position: center; height: 18px;width: 18px;}
#backToTopBtn:hover {background-color: #555;}

/* Šalių kontaktų pasirinkimas dropdown */
.country-contacts-select {max-width: 1200px;margin-left: auto;margin-right: auto;display: flex;justify-content: space-between;}
.country-list {display: flex;justify-content: space-between;align-items: center;}
.country-list p {margin-right: 15px;margin-top:0px;margin-bottom:0px;font-size: 1.08rem;line-height: 1.2rem;}
.country-dropdown {padding: 10px;border: 1px solid #ccc;border-radius: 4px;background-color: #f8f8f8;color: #333;font-size: 16px;}
.country-dropdown:focus {border-color: #0099cc;}
.country-dropdown option {padding: 10px;cursor: pointer;}

@media (max-width: 880px) {
.country-contacts-select {flex-direction: column;}
.country-list {gap:0.7rem;padding-top:15px;padding-bottom:15px;flex-direction: column;align-items: flex-start;}
#country-dropdown {width: 100%;}
.category.category-country #post-title {margin-bottom:1rem;}
}

footer {background-color: #424242;padding-top: 50px;padding-bottom: 40px;color: #333333;margin-top: 80px;}
footer p {font-size: 1rem;color: #E0E0E0;}
footer a:link,footer a:visited,footer a:hover,footer a:active  {color: #E0E0E0;}
.wp-site-blocks {padding-bottom:0px;padding-top:1.4em;}

@media (max-width: 960px) {
.home-hero-cover > img {object-position: left;}
}

/* Logo */
.custom-logo {width:120px;height:51px;position: relative;z-index: 10000;}
.wp-block-site-logo img {height:51px;max-width:120px;}
@media (max-width: 960px) {
.custom-logo {width:80px;height:auto;position: relative;z-index: 10000;}
.wp-block-site-logo img {max-width:80px;height:auto;}
}

/* Spec. šriftai */
h3.wp-block-heading.has-medium-font-size {line-height:1.8rem;color:#555555;}

.first-country-list-content {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: stretch;
  gap:10px;
}

/* Kur įsigyti */
.first-country-list-item {flex: 1 1 auto; border: 1px solid #E9E1D6;padding-left:35px;padding-right:35px;padding-top:10px;padding-bottom:10px;box-sizing: border-box;display: flex;justify-content: center;align-items: center;}
.first-country-list-item a {text-align: center;width: 100%;height: 100%;display: flex;justify-content: center;align-items: center;text-decoration: underline;  text-decoration-thickness: 1px;}
.category.category-country .countrycontainer {margin-bottom: 120px;}
.countrycontainer {margin-block-start:2rem;}
@media (max-width: 960px) {
.category.category-country .countrycontainer {margin-bottom: 60px;}
.countrycontainer {margin-block-start:1.5rem;}
.first-country-list-item {flex: 1;}
}
@media (max-width: 400px) {
	.first-country-list-item {flex: none;width: 100%;}
}

/* Stiliai ekrano skaitytojui */
.screen-reader-response {position: absolute;width: 1px;height: 1px;padding: 0;overflow: hidden;clip: rect(0, 0, 0, 0);white-space: nowrap;border: 0;}
.wpcf7-submit, .wpcf7-submit:hover {color: white;cursor: pointer;border: none;background-color:#1368b0;margin-block-start:1rem;}
.wp-element-button:focus, .wp-block-button__link:focus {background-color: #1368b0;}
.wpcf7-form input[type="checkbox"] {transform: scale(1.5);}
.wpcf7-checkbox {display: flex;flex-wrap: wrap;justify-content: space-between;gap:1rem;}
.wpcf7-list-item {margin: 0rem;}